Bug 1152987 - (CVE-2019-16328) VUL-0: CVE-2019-16328: python-rpyc: a remote attacker can dynamically modify object attributes to construct a remote procedure call that executes code
(CVE-2019-16328)
VUL-0: CVE-2019-16328: python-rpyc: a remote attacker can dynamically modify ...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.2
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/244165/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-04 05:44 UTC by Johannes Segitz
Modified: 2020-10-27 16:01 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2019-10-04 05:44:05 UTC
CVE-2019-16328

In RPyC 4.1.x through 4.1.1, a remote attacker can dynamically modify object
attributes to construct a remote procedure call that executes code for an RPyC
service with default configuration settings.

Factory only, can't select that above. Played changelog bingo since no maintainer is assigned

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-16328
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-16328
http://www.cvedetails.com/cve/CVE-2019-16328/
https://rpyc.readthedocs.io/en/latest/docs/security.html
https://github.com/tomerfiliba/rpyc
Comment 1 Tomáš Chvátal 2020-05-15 11:34:04 UTC
Fixed version sent to Leap 15.1 and the fix is already in 15.2 and TW (i just updated changelog to reflect it).
Comment 2 OBSbugzilla Bot 2020-05-15 12:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1152987) was mentioned in
https://build.opensuse.org/request/show/805821 Factory / python-rpyc
https://build.opensuse.org/request/show/805822 15.2 / python-rpyc
https://build.opensuse.org/request/show/805823 15.1 / python-rpyc
Comment 3 Swamp Workflow Management 2020-05-22 22:25:17 UTC
openSUSE-SU-2020:0685-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1152987
CVE References: CVE-2019-16328
Sources used:
openSUSE Leap 15.1 (src):    python-rpyc-4.1.5-lp151.3.3.1, python-rpyc-test-4.1.5-lp151.3.3.1
Comment 4 Swamp Workflow Management 2020-06-03 13:19:46 UTC
openSUSE-SU-2020:0763-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1152987
CVE References: CVE-2019-16328
Sources used:
openSUSE Backports SLE-15-SP1 (src):    python-rpyc-4.1.5-bp151.2.3.1, python-rpyc-test-4.1.5-bp151.2.3.1
Comment 5 Alexandros Toptsoglou 2020-10-27 16:01:29 UTC
Done